Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.internal.spreadsheet.core.importer
Class EMFFormsSpreadsheetImporterImpl

    java.lang.Object
      org.eclipse.emfforms.internal.spreadsheet.core.importer.EMFFormsSpreadsheetImporterImpl

All Implemented Interfaces:
  EMFFormsSpreadsheetImporter

    public class EMFFormsSpreadsheetImporterImpl

extends Object
implements EMFFormsSpreadsheetImporter

Implementation of the `EMFFormsSpreadsheetImporter`.

Author:
  Eugen Neufeld

Field Summary

Fields inherited from interface org.eclipse.emfforms.spi.spreadsheet.core.importer.EMFFormsSpreadsheetImporter
`INSTANCE`

Constructor Summary
`EMFFormsSpreadsheetImporterImpl()` Default Constructor.

Method Summary
`Collection<org.eclipse.emf.ecore.EObject>` | `importSpreadsheet(String filePath, org.eclipse.emf.ecore.EClass eClass)` Starts the import from an Spreadsheet document.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EMFFormsSpreadsheetImporterImpl

    public EMFFormsSpreadsheetImporterImpl()

  Default Constructor.

Method Detail

### importSpreadsheet

    public Collection<org.eclipse.emf.ecore.EObject> importSpreadsheet(String filePath,
                                                                       org.eclipse.emf.ecore.EClass eClass)

  Description copied from interface: `EMFFormsSpreadsheetImporter`
  Starts the import from an Spreadsheet document.

  Specified by:
    `importSpreadsheet` in interface `EMFFormsSpreadsheetImporter`
  Parameters:
    `filePath` - The path to the file to read from.
    `eClass` - The `EClass` of the stored objects
  Returns:
    The Collection of all read objects

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.